diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index aa0b617..8a853d2 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -6205,8 +6205,8 @@ ChineseRemainderToolsForIntegralBases(K,R,UP): Exports == Implementation where
         s := s + pPower * sigma; t := t + pPower * tau
         quorem := monicDivide(s,gSUP)
         pPower := pPower * p
-        s := map(#1 rem pPower,quorem.remainder)
-        t := map(#1 rem pPower,t + fSUP * (quorem.quotient))
+        s := map((r1:R):R+->r1 rem pPower,quorem.remainder)
+        t := map((r1:R):R+->r1 rem pPower,t + fSUP * (quorem.quotient))
       [unmakeSUP s,unmakeSUP t]
 
     --mapChineseToList: (L SUP Q,L SUP Q,I) -> L SUP Q
diff --git a/changelog b/changelog
index c690c05..9d9107b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090512 tpd src/axiom-website/patches.html 20090512.05.tpd.patch
+20090512 tpd books/bookvol10.4 IBACHIN +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.04.tpd.patch
 20090512 tpd books/bookvol10.3 IFAMON +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 14d07cd..1de6d0e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1260,5 +1260,7 @@ bookvol10.3 IAN +-> conversion<br/>
 bookvol10.4 CTRIGMNP +-> conversion<br/>
 <a href="patches/20090512.04.tpd.patch">20090512.04.tpd.patch</a>
 bookvol10.3 IFAMON +-> conversion<br/>
+<a href="patches/20090512.05.tpd.patch">20090512.05.tpd.patch</a>
+bookvol10.4 IBACHIN +-> conversion<br/>
  </body>
 </html>
